Bug 1730667 - DRb::DRbConnError: Connection reset by peer - during provisioning
Summary: DRb::DRbConnError: Connection reset by peer - during provisioning
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning
Version: 5.9.4
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: GA
: 5.10.z
Assignee: Tina Fitzgerald
QA Contact: Niyaz Akhtar Ansari
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-17 10:10 UTC by Niladri Roy
Modified: 2019-08-12 14:02 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-12 11:19:29 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Description Niladri Roy 2019-07-17 10:10:53 UTC
Description of problem:
One service request remains in pending state, when logs are checked below error is seen in automation.log

[----] I, [2019-07-16T10:45:14.462559 #10293:58b114]  INFO -- : Q-task_id([service_template_provision_request_1000000001495]) <AEMethod [/ManageIQ/System/CommonMethods/QuotaMethods/used]> Starting
[----] E, [2019-07-16T10:45:16.061382 #10293:12ba0858] ERROR -- : Q-task_id([service_template_provision_request_1000000001495]) <AEMethod used> The following error occurred during method evaluation:
[----] E, [2019-07-16T10:45:16.061977 #10293:12ba0858] ERROR -- : Q-task_id([service_template_provision_request_1000000001495]) <AEMethod used>   DRb::DRbConnError: Connection reset by peer
[----] E, [2019-07-16T10:45:16.063464 #10293:12ba0858] ERROR -- : Q-task_id([service_template_provision_request_1000000001495]) <AEMethod used>   (drbunix:///tmp/automation_engine20190716-10293-1coxjr9) /opt/rh/rh-ruby23/root/usr/share/ruby/drb/drb.rb:575:in `read'


Version-Release number of selected component (if applicable):
5.9.4.7

How reproducible:
First occurance at Cu env

Steps to Reproduce:
1. Provision a service on Vmware provider
2.
3.

Actual results:
service request stays in pending state

Expected results:
service request should provision successfully

Additional info:
Other requests are successful

Comment 7 Niladri Roy 2019-08-12 07:54:15 UTC
Cu has agreed to archive the case as this issue couldn't be reproduced.
You can close this BZ

Thanks


Note You need to log in before you can comment on or make changes to this bug.